Look up or validate many codes (Pro)
POST
/batch
const url = 'https://api.firmsapi.com/v1/batch';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.firmsapi.com/v1/batch \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{}'Authorizations
Section titled “ Authorizations ”Request Bodyrequired
Section titled “ Request Bodyrequired ” Media type application/json
object
Example generated
{}Responses
Section titled “ Responses ”OK
Media type application/json
object
meta
object
data_as_of
string format: date
source
string
mode
string
Example
{ "meta": { "mode": "live" }}Error
Media type application/json
object
error
object
code
string
message
string
links
object
Example generated
{ "error": { "code": "example", "message": "example", "links": {} }}Error
Media type application/json
object
error
object
code
string
message
string
links
object
Example generated
{ "error": { "code": "example", "message": "example", "links": {} }}